import httpRequest from '@/utils/axios'

// 获取消息列表
export function getMessages(params) {
  return httpRequest.get('/v1/messages/intra-station-messages', { params })
}

// 设置消息已读
export function readMessage(params) {
  return httpRequest.get('/v1/messages/read', { params })
}

// 设置全部消息已读
export function readAllMessage(params) {
  return httpRequest.get('/v1/messages/read-all', { params })
}

// 获取未读消息数量
export function getUnreadCount(params) {
  return httpRequest.get('/v1/messages/unread-count', { params })
}
